Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.matrix.impl
Class AbstractMatrix

    java.lang.Object
      cern.colt.PersistentObject
          cern.colt.matrix.impl.AbstractMatrix

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  AbstractMatrix1D, AbstractMatrix2D, AbstractMatrix3D

public abstract class AbstractMatrix
extends PersistentObject

Abstract base class for arbitrary-dimensional matrices holding objects or primitive data types such as `int`, `float`, etc. First see the package summary and javadoc tree view to get the broad picture.

Note that this implementation is not synchronized.

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Method Summary
`void` | `ensureCapacity(int minNonZeros)` Ensures that the receiver can hold at least the specified number of non-zero (non-null) cells without needing to allocate new internal memory.
`abstract int` | `size()` Returns the number of cells.
`void` | `trimToSize()` Releases any superfluous internal memory.

Methods inherited from class cern.colt.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### ensureCapacity

    public void ensureCapacity(int minNonZeros)

  Ensures that the receiver can hold at least the specified number of non-zero (non-null) cells without needing to allocate new internal memory. If necessary, allocates new internal memory and increases the capacity of the receiver.

  This default implementation does nothing. Override this method if necessary.

  Parameters:
    `minNonZeros` - the desired minimum number of non-zero (non-null) cells.

### size

    public abstract int size()

  Returns the number of cells.

### trimToSize

    public void trimToSize()

  Releases any superfluous internal memory. An application can use this operation to minimize the storage of the receiver.

  This default implementation does nothing. Override this method if necessary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage